# Class VerbatimFormatter

java.lang.Object
java.util.logging.Formatter
org.apache.juli.VerbatimFormatter

public class VerbatimFormatter extends Formatter
Outputs just the log message with no additional elements and no escaping. Stack traces are not logged. Log messages are separated by `System.lineSeparator()`. This is intended for use by access logs and the like that need complete control over the output format.

## Constructor Summary

Constructors
Constructor
Description
`VerbatimFormatter()`

## Method Summary

Modifier and Type
Method
Description
`String`
`format(LogRecord record)`

### Methods inherited from class java.util.logging.Formatter

`formatMessage, getHead, getTail`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### VerbatimFormatter

public VerbatimFormatter()

## Method Details

### format

public String format(LogRecord record)

Specified by:
  `format` in class `Formatter`